# Emisión de credenciales verificables con la API de Blerify

### API endpoints para **Estándar W3C-VC** Emisión

A continuación se muestran los Blerify API endpoints para la emisión de Verifiable Credentials:

### **1- endpoint "Create"**

* **Descripción:** Este endpoint se usa para crear un **W3C** formato de Verifiable Credentials.
* **HTTP Method:** `POST`
* **Endpoint URL:** {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/credentials

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#83899591-0810-43fd-a8f3-277073b6f8b5>" %}

### **2- endpoint "Approve"**

* **Descripción:** Este endpoint se usa para aprobar la VC creada en el paso anterior.
* **HTTP Method:** `POST`
* **Endpoint URL:** {{api-host}}/api/v1/organizations/{{organization-id}}/projects/{{project-id}}/crypto/sign/es256

{% embed url="<https://dev.blerify.com/?_gl=1*4h2p60*_ga*MTEwMjIzODc2Ny4xNzEyNjc0MjMy*_ga_F58PRL7ZE7*MTczNzU2MTk2Ny40Ni4xLjE3Mzc1NjE5OTEuMC4wLjA.#ea8f5cc6-660f-4572-8d58-3e4bcbc364ab>" %}

### Flujo de ejemplo

1. La Service Account se crea en el portal de Blerify y el archivo JSON se descarga.
2. Se usa una librería (preferida por el cliente) para generar el access token.
3. Se llama al endpoint "Create" para crear el W3C-VC, enviando el access token en todo momento y generándolo de nuevo si es necesario.
4. Se recibe el Digital Credential ID en la response.
5. Se llama al endpoint "Approve" usando el Digital Credential ID y la firma digital.
6. El objeto completo de la credencial se recibe en la response.
7. Este objeto se entrega al usuario final para que lo descargue en su wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blerify.com/es/desarrolladores/api-documentation/issuing-verifiable-credentials-with-the-blerify-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
